Bug 12027 - rpm -i doesn't work, while rpm --info does
Summary: rpm -i doesn't work, while rpm --info does
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 12853
TreeView+ depends on / blocked
 
Reported: 2000-06-09 14:22 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-23 21:50:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-06-09 14:22:37 UTC
In rpm 4.0, rpm -i switch doesn't work properly:
---
/tmp/rpm -qip iptables-1.0.0-2.i386.rpm 
rpm: unexpected query source
---

rpm --info -qp iptables-1.0.0-2.i386.rpm works though.

Comment 1 Jeff Johnson 2000-06-09 14:29:15 UTC
Quick fix: Edit /usr/lib/rpm/rpmpopt, and comment out lines that look like

rpm     exec -q                 rpmq -q
rpm     exec --query            rpmq --query
rpm     exec --querytags        rpmq --querytags
rpm     exec -V                 rpmv -V
rpm     exec -y                 rpmv -y
rpm     exec --verify           rpmv --verify

Otherwise upgrade rpm packages, latest right now is rpm-4.0-0.33.


Comment 2 Pekka Savola 2000-06-22 15:45:08 UTC
fixed in beta2


Note You need to log in before you can comment on or make changes to this bug.